* ....................................................................................
*
*       Program Name: RM_MENU.PRG                                                               
*            Version: 2.01
*       Date Created: 04/29/94                                                          
*       Time Created: 08:25:43            
*           Language: Clipper 5.2c
*          Author(s): Remco W. Broekhoff / Marc op der Heijde
*            Support: E-Mail 100041.3006@CompuServe.COM  /RE:ReMARK
*  Copyright (c)1994: ReMARK Info Management
*                     All Rights reserved.
* ....................................................................................
*
*
*   RMxxx.ARJ of RMxxx.ZIP bestaat uit de volgende files:
*   *****************************************************
*   MENU    .EXE    : Executable demo van RM_Menu
*   RM      .OBJ    : HoofdPRG van RM_Menu
*   RM_REG  .OBJ    : ShareWARE functie van RM_Menu      *
*   RM_SYST .OBJ    : Procedure: RM_SYST (zie verderop) **
*   RM_MENU .PRG    : Hoofdmenudefintie voor Rm_Menu   ***
*   READ1ST .TXT    : Dit Tekstfile
*   RFONTLIB.TXT    : Tekstfile met informatie over RFNTLIB 1.0
*   xxxx    .RFE    : Een aantal lettertype/fontfile's EGA
*   xxxx    .RFV    : Een aantal lettertype/fontfile's VGA
*
*   *     MOET met deze versie worden meegelinkt ! Anders werken de procedure's
*           niet....
*   **    Kan afzondelijk worden gebruikt, echter moet ook hier RM_REG worden
*           meegelinkt !
*   ***   Kan volledig volgens wens worden aangepast m.u.v. de functie/procedure
*           naam !       
*
*   Beschrijving(en)                       
*   ****************
*   Rm_Menu (RM.OBJ) is een definieerbaar standaard menu voor Clipper 5.2c...
*   Met eigen kleuraanpassingsmogelijkheden (pff.. lang woord !)
*   en Lettertype/font-wijzigingen,
*   flexibele menuwijzigingsmogelijkheden (ook run-time),
*   uitvoerige systeem en NetWare (c) informatie met de functie:
*
*   RM_SYST(c_VensterClr, c_HighClr, c_TekstClr, c_MessageClr, c_Titel, c_Schaduw)
*   waarbij:    c_VensterClr    :=  de kleur van het venster  (default   "N/BG")
*               c_HighClr       :=  de kleur van de titel     (default "GR+/BG")
*               c_TekstClr      :=  de kleur van de tekst     (default  "W+/BG")
*               c_MessageClr    :=  de kleur van meldingen    (default  "W+/BG")
*               c_Titel         :=  de titel    (Default " Systeem Informatie ")
*               c_Schaduw       :=  scahduw aan .T. of uit .F.     (default .T.)
*
*   Deze functie kunt u afzondelijk in andere programma's gebruiken met
*   bovenstaande syntax !
*
*   Opm.:   De FONT-Files in een subdirectory genaamd '..FONTS\' opslaan
*
*   Compileren Met:
*   ***************                      eigen modules <-----|
*   CLIPPER /a/n/m                                           |
*   BLINKER fi RM.OBJ, RM_MENU.OBJ, RM_SYST.OBJ, RM_REG.OBJ ... li ...------| 
*   of met RTLink                                                           |
*                                                                           |
*   BENODIGD ZIJN DE VOLGENDE LIBRARY'S:  <---------------------------------|
*   ************************************
*   BLNET       -->   Network Programming with Clipper 5.2
*                   CLIPPER 5.2c NetWare library
*   NETTO   1.1 -->   Public Domain NetWare Library 
*                   [CompuServe CA-Clipper Forum]
*   NANFORM 2.1 -->   Public Domain Nanforum Toolkit library   
*                   [CompuServe CA-Clipper Forum]
*   RFNTLIB 1.0 -->   Clipper Screen Font Library
*                   [CompuServe CA-Clipper Forum / DEMO !]
*                   Registratie vereist (zie RFONTLIB.TXT)
*  
*   DE VOLGENDE INCLUDE FILES ZIJN GEDEFINIEERD:
*
*                   #include    "inkey.ch"
*                   #include    "box.ch"
*                   #include    "rfntlib.ch"
*                   #include    "directry.ch"
*
*   Starten met:
*   ************
*   MENU
*
*   Betekenis Array's en functies uit RM_MENU.PRG (het definitiefile van RM.OBJ)
*   ****************************************************************************
*   Rm_AddItem   (Menuniveau,"~Omschrijving",{|| Functie()},"Onderregel")
*               ----> menudefinitie 
*
*   Rm_AddSecItem(Menuniveau,"~Omschrijving",Submenuniveau,"Onderregel")
*               ----> submenu definitie
*
*   Rm_AddItem   (Submenuniveau, "~Omschrijving",{|| Functie()},"Onderregel")
*               ----> submenu-keuze toevoegen
*
*
*   Rm_AddLine   (Menuniveau)   ----> Lijn in het menu plaatsen i.p.v. menukeuze
*
*   barArr       :=  Rm_BarMake(" Menunaam ", Menuniveau)
*                   ----> definitie van de BarArray 
*                   ----> (eenmalig: altijd meteen bij het eerste menu/niveau !)
*
*   Rm_BarItemAdd(barArr, " ~Bureau ", Menuniveau)
*                   ----> toevoegen van menu's (TOP-NIVEAU=Menubar) aan barArr
*                   ----> (tweede menu e.v....)
*   Rm_NoAvail   (Menuniveau,"Higlightletter") ----> Highliteletter staat 
*                                                   direct na ~
*                                               ----> menuitem niet beschikbaar !
*
*   SetKey       (Keycode, {|| Functie()})     ----> Include #"inkey.ch"
*
*   quickArr     :=  Rm_FastKey (quickArr,keycode,{|| Functie()}) 
*                               ----> vullen van de QuickArr 
*                               ----> voor de sneltoetsen(combinaties)
*
*   N.B.    menuniveau's en de quickarray MOETEN public worden gedefinieerd !
*
*   ****************************************************************************
*       Voor verdere informatie/opmerkingen/suggesties etc.... kunt u terecht bij
*       ReMARK Info Management:                                                  
*                                                                            
*       R.W. Broekhoff                           L.M. op der Heijde              
*       T.B. Huurmanlaan 68                      Stadionweg 212/II               
*       1403 SR Bussum                           1077 TE Amsterdam               
*       Tel   : 02159-21031                      Tel   : 020-6796173             
*       E-Mail: 100041.3006@CompuServe.COM                                       
*   ****************************************************************************
*
*   LICENTIE
*   ********
*   Deze "try it, you'll like it versie" is SHAREWARE ! Verspreiding van het 
*   programma is toegestaan (Deel uw ervaringen met velen !!!!), mits compleet 
*   (voorzien van alle files die voorkomen in de RMxxx.ARJ/.ZIP) en ONGEWIJZIGD ! 
*
*   De geregistreerde versie van deze software mag op geen enkele wijze 
*   worden verspreid, aan andere dan de licentiehouder genoemd in het 
*   licentiecertificaat verkregen n.a.v. registratie bij R&C/ReMARK ! Hiervoor
*   (geregistreerde versies) geld tevens dat:
*
*   R&C en ReMARK zijn de houders van deze (geregistreerde) software. Derhalve 
*   dient de licentiehouder (de geregistreerde gebruiker) deze (geregistreerde) 
*   software te gebruiken als ieder ander materiaal dat middels het copyright is 
*   beschermd (zoals bijv. een boek of een muziekopname). Als uitzondering is het
*   de licentiehouder (de geregistreeerde gebruiker) alln toegestaan een copie 
*   te maken van de (geregistreerde) software voor backup- of archiverings-
*   doeleinden.
*
*   Voor de benodigde RFNTLIB 1.0 Clipper Screen Font Library gelden voorwaarden
*   zoals deze worden afgegeven door Rolf van Gelder, zoals genoemd in het file
*   RFONTLIB.TXT, welke met deze software is meegeleverd !
*
*   Alle files zijn zorgvuldig gecontroleerd op de aanwezigheid van virussen
*   met de laatste versie/signaturen van Central Point Anti Virus (c): Er zijn
*   daarbij geen virussen gedetecteerd ! Wij aanvaarden geen enkele aan-
*   sprakelijkheid voor schade aan uw hard-, software of welke andere vorm van
*   schade voorvloeiend uit het (verkeerd) gebruik van deze file's (software), 
*   of als gevolg van virussen ! 
*
*   First Public Release:   29/04/1994   *** shareware ***          Version: 2.01
*
*
*                       Copyright (c)1994 ReMARK Info Management.
*                           Alle rechten voorbehouden                                                                                        
*                               All rights reserved.
*
*       Alle voorgenoemde namen van software, library's en/of fabrikanten zijn 
*                   handelsnamen van de betreffende eigenaars.
*   ..................................................................................

#include "inkey.ch"

* ....................................................................................
FUNCTION Rm_MenuDef()
    PUBLIC eersteMenu   :={}
    PUBLIC tweedeMenu   :={}
    PUBLIC DerdeMenu    :={}
    PUBLIC vierdeMenu   :={}
    PUBLIC codeSub      :={}
    PUBLIC printSub     :={}
    PUBLIC quickArr     :={} 
    * QUICK-KEYS SPECIFICEREN
    SetKey (K_ALT_I, {|| Rm_About ()})
    SetKey (K_ALT_X, {|| Rm_QuitMenu()})
    SetKey (K_ALT_S, {|| Rm_SystInfo()})
    SetKey (K_ALT_Q, {|| Rm_DosShell()})
    quickArr := Rm_FastKey (quickArr,K_ALT_X,{|| Rm_QuitMenu()})
    quickArr := Rm_FastKey (quickArr,K_ALT_S,{|| Rm_SystInfo()})
    quickArr := Rm_FastKey (quickArr,K_ALT_I,{|| Rm_About()})
    quickArr := Rm_FastKey (quickArr,K_ALT_Q,{|| Rm_DosShell()})
    * SUBMENU VAN EERSTE MENU
    Rm_AddItem      (PrintSub, " LPT1",     {|| Rm_Dummy()},"Selecteer een printerpoort of bestand.")
    Rm_AddItem      (PrintSub, " LPT2",     {|| Rm_Dummy()},"Selecteer een printerpoort of bestand.")
    Rm_AddItem      (PrintSub, " LPT3",     {|| Rm_Dummy()},"Selecteer een printerpoort of bestand.")
    Rm_AddLine      (PrintSub)
    Rm_AddItem      (PrintSub, "~Bestand",  {|| Rm_Dummy()},"Selecteer een printerpoort of bestand.")
    * EERSTE MENU
    Rm_AddItem      (eersteMenu,"~Nieuw...                ",{||Rm_Dummy()},"Maak een nieuwe database.")
    Rm_AddItem      (eersteMenu,"~Open...            Alt-B",{||Rm_Dummy()},"Open een bestaande database.")
    Rm_AddItem      (eersteMenu,"~Sluiten...              ",{||Rm_Dummy()},"Sluit de huidige database.")
    Rm_AddItem      (eersteMenu,"~Wijzigen...        Alt-M",{||Rm_Dummy()},"Wijzigen gegevens.")
    Rm_AddItem      (eersteMenu,"s~Tructuur               ",{||Rm_Dummy()},"Bekijken/wijzigen databasestructuur.")
    Rm_AddLine      (eersteMenu)           
    Rm_AddSecItem     (eersteMenu,"~Printen            Alt-P",Printsub,"Overzichten printen.")
    Rm_AddLine      (eersteMenu)           
    Rm_AddItem      (eersteMenu,"s~Hell naar DOS     Alt-Q",{|| Rm_DosShell()},"Naar DOS [type EXIT om terug te keren].")
    Rm_AddItem      (eersteMenu,"e~Xit               Alt-X",{|| Rm_QuitMenu()},"Einde programma.")
    * BUTTON VOOR EERSTE MENU OP DE MENUBALK PLAATSEN
    barArr          :=  Rm_BarMake(" ~Bestanden ", eersteMenu)
    * SUBMENU VAN TWEEDE MENU
    Rm_AddItem      (CodeSub, "~Keuze 1", {|| Rm_Dummy()})
    Rm_AddItem      (CodeSub, "k~Euze 2", {|| Rm_Dummy()})
    Rm_AddLine      (CodeSub)
    Rm_AddItem      (CodeSub, "ke~Uze 3", {|| Rm_Dummy()})
    Rm_AddLine      (CodeSub)
    Rm_AddItem      (CodeSub, "keu~Ze 4", {|| Rm_Dummy()})
    * TWEEDE MENU
    Rm_AddSecItem     (TweedeMenu,"~Keuze 1    ",codeSub)
    * BUTTON VOOR TWEEDE MENU OP DE MENUBALK PLAATSEN
    Rm_BarItemAdd   (barArr, " ~Opties ", TweedeMenu)
    * DERDE MENU
    Rm_AddItem      (DerdeMenu,"~Kleuren              ", {||Rm_ClrMenu()}, "Wijzigen standaard / menukleuren")
    Rm_AddLine      (DerdeMenu)                             
    Rm_AddItem      (DerdeMenu,"~Lettertype           ", {||Rm_ExternFnt()},"Laden externe Lettertype's.")
    Rm_AddItem      (DerdeMenu,"~Huidige karakterset  ", {||Rm_ShowFont()},"Laden externe Lettertype's.")
    * BUTTON VOOR DERDE MENU OP DE MENUBALK PLAATSEN
    Rm_BarItemAdd   (barArr, " ~Bureau ", DerdeMenu)
    * VIERDE MENU
    Rm_AddItem      (VierdeMenu,"~Help                ",{||Rm_Dummy()})
    Rm_AddItem      (VierdeMenu,"~Systeem Info   Alt-S",{||Rm_SystInfo()},"Informatie over uw systeem.") 
    Rm_AddLine      (VierdeMenu)
    Rm_AddItem      (VierdeMenu,"~Registratie         ",{||Rm_Reg(.T.)},"Registratie Informatie.")
    Rm_AddItem      (VierdeMenu,"~Informatie     Alt-I",{||Rm_About()},"Versie informatie.")
    * BUTTON VOOR VIERDE MENU OP DE MENUBALK PLAATSEN
    Rm_BarItemAdd   (BarArr," ~Help ",VierdeMenu)
    * KEUZES NIET BESCHIKBAAR BIJ START MENU
    Rm_NoAvail(eersteMenu,"W") 
    Rm_NoAvail(eersteMenu,"T") 
    Rm_NoAvail(eersteMenu,"S") 
//    Rm_NoAvail(eersteMenu,"H") 
RETURN (nil)                                            
* ..................................................................................
*   EOF: RM_MENU.PRG
* ..................................................................................
